#!/bin/sh

ev_tester=../ev_test
dom_tester=../dom_test

admin()
{
	if test ! "$?" -eq 0
	then
		fail=$(($fail + 1))
	else
		succ=$(($succ + 1))
		rm $1
	fi
}

fail=0
succ=0

for n in *.sx
do
	base=`echo $n | sed "s/.sx$//"`

	out_ev=$base.out_ev
	ref_ev=$base.ref_ev
	$ev_tester < $n > $out_ev
	diff -u $ref_ev $out_ev
	admin $out_ev

	out_dom=$base.out_dom
	ref_dom=$base.ref_dom
	$dom_tester < $n > $out_dom
	diff -u $ref_dom $out_dom
	admin $out_dom

	out_com=$base.out_com
	ref_com=$base.ref_com
	$dom_tester -c < $n > $out_com
	diff -u $ref_com $out_com
	admin $out_com
done

echo "Stats: success=$succ fail=$fail"
if test "$fail" = 0
then
	echo "** QC PASS **"
fi
